<div class="container" style="margin-bottom:  20px; margin-top: 20px;">
    <%= form_for @order, url: booking_orders_path(params[:booking_id]), html: {class: "credit-card"} do |f| %>
        <% if @order.express_token.blank? %>
            <div class="form-header">
                <h4 class="title">Credit card detail</h4>
            </div>
            
            <div class="form-body">
                 <%= f.text_field :first_name, class: "card-number",  placeholder: "First Name" %>
                 <%= f.text_field :last_name, class: "card-number",  placeholder: "Last Name" %>
                <!-- Card Number -->
                <%= f.text_field :card_number, class: "card-number",  placeholder: "Card Number" %>
                
                    
                <div class="card-verification">
                    <div class="cvv-input">
                        <%= f.text_field :card_verification, placeholder: "CVV" %>
                    </div>
                </div>

                <!-- Date Field -->
                <div class="month " style="width: 100% !important">
                    <%= f.select :card_type, [["Visa", "visa"], ["MasterCard", "master"], ["Discover", "discover"], ["American Express", "american_express"]] %>
                </div>

                <div class="date-field">
                    <div class="month">
                        <%= f.date_select :card_expires_on, :discard_day => true, :start_year => Date.today.year, :end_year => (Date.today.year+10), :add_month_numbers => true %>
                    </div>
                </div> 
            </div>
        <%else%>
            <div class="col-lg-12" align="center">
                <%= f.hidden_field :express_token %>
                <h3>Buyer Name: <%= @order.first_name %> <%= @order.last_name %></h3>
                <h4>Order Detail</h4>
                <%= image_tag @booking_details.image, class: "order"%>
                <% sub = @booking_details.price%>
                <% stay_time = @bookings.booking_dates.count%>
                <% tax = (sub*stay_time*10/100)%>
                <h4>
                    <p> <strong>Check in:</strong>  <%= @bookings.check_in.strftime("%a, %d-%B, %Y") %></p>
                    <p> <strong>Check out:</strong>  <%=  @bookings.check_out.strftime("%a, %d-%B, %Y") %></p>
                    <p> <strong>Night(s):</strong> <%= stay_time %></p>
                    <p><strong> Subtotal:</strong> <%= "$" + sub.to_s + "/night"  %> </p>
                    <p><strong>Tax:</strong> <%= tax.to_s + "$"%></p>
                    <p><strong>Total: <%= (sub*stay_time+tax).to_s + "$"%></strong></p>
                </h4>
            </div>

        <%end%>
      <p class="text-center"><%= f.submit "Complete Order", class: "btn btn-success" %></p>
    <% end %>
</div>

